`lqr_carver_flatten`
Prev | Carver objects | Next

## Name

lqr_carver_flatten — flatten a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_flatten(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_flatten` can be used to discard the visibility map information and flatten the multi-size image contained in the `LqrCarver` object pointed to by `carver` to its current state.

It will also reset the internally stored original width and height, as if the image was just loaded in the `LqrCarver` object.

This function must only be invoked over initialised `LqrCarver` objects.

This function is called internally each time the rescaling direction changes, or at each new step in a multiple-step enlargement, but, when calling it manually, the discarded visibility map will not be dumped automatically by it; use the functions `lqr_vmap_dump`(3) or `lqr_vmap_internal_dump`(3) in order to save it before invoking this function.

## Return value

The return value follows the Liquid Rescale library signalling system. Errors can occur for non-initialised `LqrCarver` objects or in case of insufficient memory.

## See also

LqrRetVal(3), `lqr_carver_init`(3), `lqr_carver_resize`(3), `lqr_carver_cancel`(3)

Prev | Up | Next
`lqr_carver_resize` | Home | `lqr_carver_cancel`